package kcg.faics.report.service.impl;

import java.util.List;

import kcg.faics.report.service.ReportService;
import kcg.faics.report.vo.ReportSearchVO;
import kcg.faics.report.vo.ReportVO;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;

@RunWith(SpringJUnit4ClassRunner.class)
@WebAppConfiguration
@ContextConfiguration(locations = { "classpath:/spring/context-*.xml" })
public class ReportServiceImplTest {
	/**
	 * 견문 관련 서비스 객체.
	 */
	@Autowired
	private ReportService reportService;

	/**
	 * selectList 메소드 테스트.
	 * 
	 * @throws Exception 
	 */
	@Test
	public void selectList() throws Exception {
		ReportSearchVO rptSearchVO = new ReportSearchVO();
		rptSearchVO.setUsegrade(0);
		rptSearchVO.setUserid("admin");
		rptSearchVO.setType("1");
		rptSearchVO.setFirstIndex(1);
		rptSearchVO.setRecordCountPerPage(10);
		List<ReportVO> reportList = reportService.selectList(rptSearchVO);
	}
}
